Bug 54474 - [MGA450] mysterious resolution of 2nd screen
[MGA450] mysterious resolution of 2nd screen
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-09 10:03 EDT by Enrico Scholz
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-01 07:07:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86.0.log (31.09 KB, text/plain)
2001-10-09 10:04 EDT, Enrico Scholz
no flags Details
/etc/X11/XF86Config-4 (2.38 KB, text/plain)
2001-10-09 10:04 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2001-10-09 10:03:19 EDT
Description of Problem:

I am running an MGA450 dualheaded where the first screen has a resolution
of 1280x1024. When trying to set a PAL resolution (768x576) on the 2nd
screen I get

| (II) MGA(1): Not using mode "pal" (all modes must have the same width)

Then it uses a res. of 1024x768 which has a different width than 1280 also.
Setting the PAL res. on the first screen works also.

Therefore 'width' can not mean the x-resolution of the screen and the
errormsg "all modes must have the same width" is wrong or should be more

Version-Release number of selected component (if applicable):

Comment 1 Enrico Scholz 2001-10-09 10:04:03 EDT
Created attachment 33621 [details]
Comment 2 Enrico Scholz 2001-10-09 10:04:55 EDT
Created attachment 33622 [details]
Comment 3 Mike A. Harris 2001-11-01 07:06:57 EST
Luugi, could you look into this bug and comment?  Any idea what
might be wrong here?

I do not have G450 specs...  Are they available yet?
Comment 4 Mike A. Harris 2002-02-09 10:30:18 EST
I haven't been able to do anything about this bug unfortunately..
We do not officially support xinerama or dual head mode, however
we do provide the ability to use such.  Generally, even though we
do not officially support it, I do still try to fix bugs that come
up when I can (in my own personal time).  This is one I'm not able
to touch however I'm afraid, and I do not have G450 technical
specifications.  I've Cc'd Matrox however so at least they're
aware of the dualhead problem you've described.

You may also want to try XFree86 4.2.0 from rawhide to see if it fixes
the problem possibly.

Note You need to log in before you can comment on or make changes to this bug.